stability patch for talos.

RESOLVED FIXED

Status

RESOLVED FIXED
12 years ago
6 years ago

People

(Reporter: anodelman, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Reporter)

Description

12 years ago
Created attachment 266002 [details] [diff] [review]
build checking for tp and ts

This patch does the following:

- lowers the timeout bar for ts failure
- doesn't start tp if ts has failed
- bails out of tp if a page takes longer than x seconds to load

This should help the tests report back faster if a build fails, instead of waiting around for a buildbot timeout to kill the browser.
Attachment #266002 - Flags: review?(rhelmer)
Comment on attachment 266002 [details] [diff] [review]
build checking for tp and ts

>diff -ruN -x CVS -x README.txt -x ffprocess.py -x ffprofile.py -x config.py -x sample.config talos/page_load_test/framecycler.html talos-spike/page_load_test/framecycler.html
>--- talos/page_load_test/framecycler.html	2007-05-04 15:13:40.000000000 -0700
>+++ talos-spike/page_load_test/framecycler.html	2007-05-09 16:41:57.000000000 -0700
>+    t = setTimeout('loadFail()', 5000);


Move the "5000" to a constant like DEFAULT_TIMEOUT at the top


>diff -ruN -x CVS -x README.txt -x ffprocess.py -x ffprofile.py -x config.py -x sample.config talos/run_tests.py talos-spike/run_tests.py
>--- talos/run_tests.py	2007-05-04 15:17:19.000000000 -0700
>+++ talos-spike/run_tests.py	2007-05-21 15:39:37.000000000 -0700
>@@ -139,8 +139,12 @@
>-      ret = post_file.post_multipart(config.RESULTS_SERVER, '/bulk.cgi', [("key", "value")], [("filename", filename, file_data)
>+      ret = post_file.post_multipart(config.RESULTS_SERVER, '/~alice/new-graph/bulk.cgi', [("key", "value")], [("filename", filename, file_data)


I'd make the CGI configurable too (why not just have it be part of RESULTS_SERVER?)


Looks good functionally to me, those are the only things I wouldn't want to come across later :)
Attachment #266002 - Flags: review?(rhelmer) → review+
(Reporter)

Comment 2

12 years ago
Created attachment 266010 [details] [diff] [review]
2nd attempt with rhelmer's suggestions

Placed the timeout into DEFAULT_TIMEOUT.  Removed the static link that shouldn't have been there anyway - it was part of the configuration for my test box that I forgot to pull out when I was first creating the patch.
Attachment #266002 - Attachment is obsolete: true
Attachment #266010 - Flags: review?(rhelmer)
Attachment #266010 - Flags: review?(rhelmer) → review+
Landed:

Checking in run_tests.py;
/cvsroot/mozilla/testing/performance/talos/run_tests.py,v  <--  run_tests.py
new revision: 1.3; previous revision: 1.2
done
Checking in tp.py;
/cvsroot/mozilla/testing/performance/talos/tp.py,v  <--  tp.py
new revision: 1.3; previous revision: 1.2
done
Checking in ts.py;
/cvsroot/mozilla/testing/performance/talos/ts.py,v  <--  ts.py
new revision: 1.3; previous revision: 1.2
done
Checking in page_load_test/framecycler.html;
/cvsroot/mozilla/testing/performance/talos/page_load_test/framecycler.html,v  <--  framecycler.html
new revision: 1.2; previous revision: 1.1
done

Comment 4

12 years ago
Patch landed, all OK... shouldn't this be marked as FIXED? :)
Status: NEW → RESOLVED
Last Resolved: 12 years ago
Resolution: --- → FIXED
Assignee: nobody → anodelman
Component: Testing → Talos
Product: Core → Testing
QA Contact: testing → talos

Updated

10 years ago
Assignee: anodelman → nobody
Component: Talos → Release Engineering: Talos
Product: Testing → mozilla.org
QA Contact: talos → release
Version: Trunk → other

Updated

10 years ago
Component: Release Engineering: Talos → Release Engineering
Product: mozilla.org → Release Engineering
You need to log in before you can comment on or make changes to this bug.